#ifndef __NLLIBC_STRING_H_INCLUDED__
#define __NLLIBC_STRING_H_INCLUDED__

#include <sys/types.h>

size_t strlen(const char *s);
char *strcpy(char *dst, const char *src);
char *strcat(char *s, const char *append);
int strcmp(const char *s1, const char *s2);
void *memset(void *dest, int c, size_t len);
void *memcpy(void *dst, const void *src, size_t len);
void *memmove(void *dst, const void *src, size_t len);

#endif
