#ifndef __NLLIBC_ERRNO_H_INCLUDED__
#define __NLLIBC_ERRNO_H_INCLUDED__

#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__NetBSD__) || defined(__DragonFly__) || defined(__APPLE__)
int *__error(void);
#define errno (*__error())

#define EINVAL 22
#endif

#if defined(__linux__)
int *__errno_location(void);
#define errno (*__errno_location())

#define EINVAL 22
#endif

#endif
